<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="sisotoolDeleteComponent" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>sisotoolDeleteComponent</refname>

    <refpurpose>Callback of sisotoolContextMenu for removal of the selected compensator component.</refpurpose>
  </refnamediv>

  <refsection>
    <title>Synopsis</title>

    <synopsis>sisotoolDeleteComponent(entityType,k)</synopsis>
  </refsection>

  <refsection>
    <title>Arguments</title>

    <variablelist>
    <varlistentry>
        <term>entityType</term>
        <listitem>
          <para>A character string, the name of the specified compensator
          entity ( gain, poles, zeros, ...).</para>
        </listitem>
      </varlistentry>
     <varlistentry>
        <term>k</term>
        <listitem>
          <para>An integer, the index of the specified component.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>
    <para>This function is called by <link
    linkend="sisotoolContextMenu">)sisotoolContextMenu</link>) in
    response to a left click on a red mark followed by the selection of the Delete action . It
    removes the selected component in the compensator data structure and update displays.</para>


    <para>This function waits first for a user left click in the current
    sub window (set by <link
    linkend="sisotoolEditorsEvents">)sisotoolEditorsEvents</link>), checks if the selected point is near a compensator component marker (see <link
    linkend="sisotoolFindSelected">sisotoolFindSelected</link>) and if yes removes this component out of the compensator data structure.</para>
 </refsection>
</refentry>
